summaryrefslogtreecommitdiffstats
path: root/ruby
diff options
context:
space:
mode:
author Daniel Romero2014-01-18 03:21:48 +0100
committer Erik Hanson2014-01-30 06:21:05 +0100
commit04e639789b2ab834ec3c43b395ddc9463821fdd5 (patch)
tree4145a7a9ae82ad9f3ac63b78cf1434ad6fb77fcb /ruby
parent55605859ff4f36428ca4f314c7449009546569e8 (diff)
downloadslackbuilds-04e639789b2ab834ec3c43b395ddc9463821fdd5.tar.gz
ruby/ruby2: Updated for version 2.0.0_p353.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ruby')
-rw-r--r--ruby/ruby2/README7
-rw-r--r--ruby/ruby2/ruby2.SlackBuild14
-rw-r--r--ruby/ruby2/ruby2.info6
3 files changed, 22 insertions, 5 deletions
diff --git a/ruby/ruby2/README b/ruby/ruby2/README
index ac47f2ca73..a910df2e79 100644
--- a/ruby/ruby2/README
+++ b/ruby/ruby2/README
@@ -1,4 +1,11 @@
+Ruby 2.0
+
Ruby is an interpreted scripting language for quick and easy
object-oriented programming. It has many features to process text
files and to do system management tasks (as in Perl). It is simple,
straight-forward, and extensible.
+
+Is it safe to install on a system that already has another version
+of Ruby.
+
+Visit the Ruby project online at http://www.ruby-lang.org/
diff --git a/ruby/ruby2/ruby2.SlackBuild b/ruby/ruby2/ruby2.SlackBuild
index 3783a32e7e..b9daa83ad2 100644
--- a/ruby/ruby2/ruby2.SlackBuild
+++ b/ruby/ruby2/ruby2.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ruby2
-VERSION=${VERSION:-2.0.0_p247}
+VERSION=${VERSION:-2.0.0_p353}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -43,6 +43,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# set any SLKCFLAGS here
if [ "$ARCH" = "i486" ]; then
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
@@ -55,9 +56,17 @@ fi
set -eu
+if [ ! $UID = 0 ]; then
+ cat << EOF
+This script must be run as root
+
+EOF
+ exit 1
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $PKG
+cd $TMP
rm -rf $SRCNAM-$SRCVER
tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
cd $SRCNAM-$SRCVER
@@ -96,6 +105,7 @@ make install DESTDIR=$PKG
mv ri ri2
)
+# Install docs
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
BSDL COPYING* *GPL* ChangeLog LEGAL NEWS README* \
diff --git a/ruby/ruby2/ruby2.info b/ruby/ruby2/ruby2.info
index 81b3336adc..4909c3ca96 100644
--- a/ruby/ruby2/ruby2.info
+++ b/ruby/ruby2/ruby2.info
@@ -1,8 +1,8 @@
PRGNAM="ruby2"
-VERSION="2.0.0_p247"
+VERSION="2.0.0-p353"
HOMEPAGE="http://www.ruby-lang.org"
-DOWNLOAD="http://cache.ruby-lang.org/pub/ruby/2.0/ruby-2.0.0-p247.tar.gz"
-MD5SUM="c351450a0bed670e0f5ca07da3458a5b"
+DOWNLOAD="http://cache.ruby-lang.org/pub/ruby/2.0/ruby-2.0.0-p353.tar.gz"
+MD5SUM="78282433fb697dd3613613ff55d734c1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""